---
lang: en
title: 'API docs: authentication-jwt.jwtservice'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.jwtservice.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [JWTService](./authentication-jwt.jwtservice.md)

## JWTService class

**Signature:**

```typescript
export declare class JWTService implements TokenService 
```
**Implements:** [TokenService](./authentication.tokenservice.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(jwtSecret, jwtExpiresIn)](./authentication-jwt.jwtservice._constructor_.md) |  | Constructs a new instance of the <code>JWTService</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [generateToken(userProfile)](./authentication-jwt.jwtservice.generatetoken.md) |  |  |
|  [verifyToken(token)](./authentication-jwt.jwtservice.verifytoken.md) |  |  |


